Altimax\Apidae\Core\Entity\SitraVisite:
  type: entity
  table: sitra_visite
  indexes:
    objet_id:
      columns:
        - objet_id
  id:
    id:
      type: integer
      nullable: false
      unsigned: false
      comment: ''
      id: true
      generator:
        strategy: IDENTITY
  fields:
    visitable:
      type: boolean
      nullable: true
      comment: ''
    dureeMoyenneVisiteGroupe:
      type: integer
      nullable: true
      unsigned: false
      comment: ''
      column: duree_moyenne_visite_groupe
    dureeMoyenneVisiteIndividuelle:
      type: integer
      nullable: true
      unsigned: false
      comment: ''
      column: duree_moyenne_visite_individuelle
    complementVisite:
      type: text
      nullable: true
      length: null
      fixed: false
      comment: 'à traduire'
      column: complement_visite
  manyToOne:
    objet:
      targetEntity: Altimax\Apidae\Core\Entity\SitraObjet
      cascade: [ "persist", "remove" ]
      mappedBy: null
      inversedBy: visite
      joinColumns:
        objet_id:
          referencedColumnName: id
          onDelete: CASCADE
      orphanRemoval: false
  manyToMany:
    elementReference:
      targetEntity: Altimax\Apidae\Core\Entity\SitraElementReference
      cascade: {  }
      fetch: EXTRA_LAZY
      mappedBy: null
      inversedBy: visite
      joinTable:
        name: sitra_liaison_visite_element_reference
        joinColumns:
          - name: visite_id
            referencedColumnName: id
            onDelete: CASCADE
        inverseJoinColumns:
          - name: element_reference_id
            referencedColumnName: id
            onDelete: CASCADE
      orderBy: null
  lifecycleCallbacks: {  }
